Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.io.tptp
Class Renderer

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.io.tptp.Renderer

All Implemented Interfaces:
  Options, Renderer, ShortFormProvider

public class Renderer
extends Object
implements Renderer, ShortFormProvider

Nested Class Summary
`class` | `Renderer.BigCardinalityException`

Field Summary
`static int` | `INTEGER`
`static int` | `OTHER`
`static int` | `STRING`
`String[]` | `typeNames`
`static int` | `TYPES`

Constructor Summary
`Renderer()`

Method Summary
`String` | `canonicalize(OWLDataValue dv)`
`protected void` | `cardinalityException(String message)`
`int` | `determineType(OWLDataValue dv)`
`int` | `determineType(URI uri)`
`Map` | `getOptions()` Get options for the object.
`int` | `indexForUnsupported(String str)`
`static void` | `main(String[] args)`
`String` | `mangle(String str)`
`void` | `renderOntology(OWLOntology ontology, Writer writer)` Render the given ontology onto the writer using an appropriate concrete representation
`void` | `renderOntology(OWLOntology ontology, Writer writer, List names, List strings, List integers, List others, List types)`
`void` | `setNegate(boolean b)`
`void` | `setOptions(Map map)` Set options for the object.
`String` | `shortForm(OWLNamedObject ono)`
`String` | `shortForm(URI uri)`
`String` | `typeFor(OWLDataType odt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING

    public static int STRING

### INTEGER

    public static int INTEGER

### OTHER

    public static int OTHER

### TYPES

    public static int TYPES

### typeNames

    public String[] typeNames

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### setOptions

    public void setOptions(Map map)

  Description copied from interface: `Options`
  Set options for the object.

  Specified by:
    `setOptions` in interface `Options`
  Parameters:
    `map` - a `Map` value. Should contain a map from `String`s to `Object`s.

### getOptions

    public Map getOptions()

  Description copied from interface: `Options`
  Get options for the object.

  Specified by:
    `getOptions` in interface `Options`
  Returns:
    a `Map` value. Contains a map from `String`s to `Object`s.

### setNegate

    public void setNegate(boolean b)

### renderOntology

    public void renderOntology(OWLOntology ontology,
                               Writer writer)
                        throws RendererException

  Description copied from interface: `Renderer`
  Render the given ontology onto the writer using an appropriate concrete representation

  Specified by:
    `renderOntology` in interface `Renderer`
    `RendererException`

### renderOntology

    public void renderOntology(OWLOntology ontology,
                               Writer writer,
                               List names,
                               List strings,
                               List integers,
                               List others,
                               List types)
                        throws RendererException

    `RendererException`

### mangle

    public String mangle(String str)

### determineType

    public int determineType(URI uri)
                      throws OWLException

    `OWLException`

### typeFor

    public String typeFor(OWLDataType odt)
                   throws OWLException

    `OWLException`

### indexForUnsupported

    public int indexForUnsupported(String str)

### determineType

    public int determineType(OWLDataValue dv)
                      throws OWLException

    `OWLException`

### canonicalize

    public String canonicalize(OWLDataValue dv)
                        throws OWLException

    `OWLException`

### shortForm

    public String shortForm(OWLNamedObject ono)
                     throws OWLException

    `OWLException`

### shortForm

    public String shortForm(URI uri)

  Specified by:
    `shortForm` in interface `ShortFormProvider`

### main

    public static void main(String[] args)

### cardinalityException

    protected void cardinalityException(String message)
                                 throws OWLException

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb